Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.parallelgzipcsv
Class ParGzipCsvInputMeta

    java.lang.Object
      org.pentaho.di.trans.step.BaseStepMeta
          org.pentaho.di.trans.steps.parallelgzipcsv.ParGzipCsvInputMeta

All Implemented Interfaces:
  Cloneable, StepMetaInterface, InputFileMetaInterface

    public class ParGzipCsvInputMeta

extends BaseStepMeta
implements StepMetaInterface, InputFileMetaInterface

Since:
  2009-03-06
Version:
  3.2
Author:
  matt

Constructor Summary
`ParGzipCsvInputMeta()`

Method Summary
`void` | `allocate(int nrFields)`
`void` | `check(List<org.pentaho.di.core.CheckResultInterface> remarks, TransMeta transMeta, StepMeta stepinfo, org.pentaho.di.core.row.RowMetaInterface prev, String[] input, String[] output, org.pentaho.di.core.row.RowMetaInterface info)` Checks the settings of this step and puts the findings in a remarks List.
`Object` | `clone()` Make an exact copy of this step, make sure to explicitly copy Collections etc.
`String` | `exportResources(org.pentaho.di.core.variables.VariableSpace space, Map<String,ResourceDefinition> definitions, ResourceNamingInterface resourceNamingInterface, Repository repository)` Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively.
`String` | `getBufferSize()`
`String` | `getDelimiter()`
`String` | `getEnclosure()`
`String` | `getEncoding()`
`String` | `getErrorCountField()`
`String` | `getErrorFieldsField()`
`String` | `getErrorTextField()`
`String` | `getEscapeCharacter()`
`void` | `getFields(org.pentaho.di.core.row.RowMetaInterface rowMeta, String origin, org.pentaho.di.core.row.RowMetaInterface[] info, StepMeta nextStep, org.pentaho.di.core.variables.VariableSpace space)` Get the fields that are emitted by this step
`int` | `getFileFormatTypeNr()`
`String` | `getFilename()`
`String` | `getFilenameField()`
`String[]` | `getFilePaths(org.pentaho.di.core.variables.VariableSpace space)`
`String` | `getFileType()`
`TextFileInputField[]` | `getInputFields()`
`int` | `getNrHeaderLines()`
`List<ResourceReference>` | `getResourceDependencies(TransMeta transMeta, StepMeta stepInfo)` Get a list of all the resource dependencies that the step is depending on.
`String` | `getRowNumField()`
`String` | `getSeparator()`
`StepInterface` | `getStep(StepMeta stepMeta, StepDataInterface stepDataInterface, int cnr, TransMeta tr, Trans trans)` Get the executing step, needed by Trans to launch a step.
`StepDataInterface` | `getStepData()` Get a new instance of the appropriate data class.
`String` | `getXML()` Produces the XML string that describes this step's information.
`boolean` | `hasHeader()`
`boolean` | `includeFilename()`
`boolean` | `includeRowNumber()`
`boolean` | `isAddResultFile()`
`boolean` | `isErrorIgnored()`
`boolean` | `isErrorLineSkipped()`
`boolean` | `isHeaderPresent()`
`boolean` | `isIncludingFilename()`
`boolean` | `isLazyConversionActive()`
`boolean` | `isRunningInParallel()`
`void` | `loadXML(Node stepnode, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Load the values for this step from an XML Node
`void` | `readRep(Repository rep, long id_step, List<org.pentaho.di.core.database.DatabaseMeta> databases, Map<String,org.pentaho.di.core.Counter> counters)` Read the steps information from a Kettle repository
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Save the steps data into a Kettle repository
`void` | `setAddResultFile(boolean isaddresult)`
`void` | `setBufferSize(String bufferSize)`
`void` | `setDefault()` Set default values
`void` | `setDelimiter(String delimiter)`
`void` | `setEnclosure(String enclosure)`
`void` | `setEncoding(String encoding)`
`void` | `setFilename(String filename)`
`void` | `setFilenameField(String filenameField)`
`void` | `setHeaderPresent(boolean headerPresent)`
`void` | `setIncludingFilename(boolean includingFilename)`
`void` | `setInputFields(TextFileInputField[] inputFields)`
`void` | `setLazyConversionActive(boolean lazyConversionActive)`
`void` | `setRowNumField(String rowNumField)`
`void` | `setRunningInParallel(boolean runningInParallel)`

Methods inherited from class org.pentaho.di.trans.step.BaseStepMeta
`analyseImpact, cancelQueries, chosesTargetSteps, excludeFromRowLayoutVerification, getDialogClassName, getID, getInfoSteps, getRequiredFields, getRequiredFields, getSQLStatements, getTableFields, getTargetSteps, getUsedArguments, getUsedDatabaseConnections, getUsedLibraries, hasChanged, searchInfoAndTargetSteps, setChanged, setChanged, setID, setInfoSteps, setTargetSteps, supportsErrorHandling`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParGzipCsvInputMeta

    public ParGzipCsvInputMeta()

Method Detail

### loadXML

    public void loadXML(Node stepnode,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Description copied from interface: `StepMetaInterface`
  Load the values for this step from an XML Node

  Specified by:
    `loadXML` in interface `StepMetaInterface`
  Parameters:
    `stepnode` - the Node to get the info from
    `databases` - The available list of databases to reference to
    `counters` - Counters to reference.
  Throws:
    `org.pentaho.di.core.exception.KettleXMLException` - When an unexpected XML error occurred. (malformed etc.)

### clone

    public Object clone()

  Description copied from interface: `StepMetaInterface`
  Make an exact copy of this step, make sure to explicitly copy Collections etc.

  Specified by:
    `clone` in interface `StepMetaInterface`
  Overrides:
    `clone` in class `BaseStepMeta`
  Returns:
    an exact copy of this step

### setDefault

    public void setDefault()

  Description copied from interface: `StepMetaInterface`
  Set default values

  Specified by:
    `setDefault` in interface `StepMetaInterface`

### allocate

    public void allocate(int nrFields)

### getXML

    public String getXML()

  Description copied from class: `BaseStepMeta`
  Produces the XML string that describes this step's information.

  Specified by:
    `getXML` in interface `StepMetaInterface`
  Overrides:
    `getXML` in class `BaseStepMeta`
  Returns:
    String containing the XML describing this step.

### readRep

    public void readRep(Repository rep,
                        long id_step,
                        List<org.pentaho.di.core.database.DatabaseMeta> databases,
                        Map<String,org.pentaho.di.core.Counter> counters)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Read the steps information from a Kettle repository

  Specified by:
    `readRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The repository to read from
    `id_step` - The step ID
    `databases` - The databases to reference
    `counters` - The counters to reference
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `StepMetaInterface`
  Save the steps data into a Kettle repository

  Specified by:
    `saveRep` in interface `StepMetaInterface`
  Parameters:
    `rep` - The Kettle repository to save to
    `id_transformation` - The transformation ID
    `id_step` - The step ID
  Throws:
    `org.pentaho.di.core.exception.KettleException` - When an unexpected error occurred (database, network, etc)

### getFields

    public void getFields(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                          String origin,
                          org.pentaho.di.core.row.RowMetaInterface[] info,
                          StepMeta nextStep,
                          org.pentaho.di.core.variables.VariableSpace space)
                   throws org.pentaho.di.core.exception.KettleStepException

  Description copied from interface: `StepMetaInterface`
  Get the fields that are emitted by this step

  Specified by:
    `getFields` in interface `StepMetaInterface`
  Overrides:
    `getFields` in class `BaseStepMeta`
  Parameters:
    `rowMeta` - The fields that are entering the step. These are changed to reflect the output metadata.
    `origin` - The name of the step to be used as origin
    `info` - The input rows metadata that enters the step through the specified channels in the same order as in method getInfoSteps(). The step metadata can then choose what to do with it: ignore it or not. Interesting is also that in case of database lookups, the layout of the target database table is put in info[0]
    `nextStep` - if this is a non-null value, it's the next step in the transformation. The one who's asking, the step where the data is targetted towards.
    `space` - TODO
  Throws:
    `org.pentaho.di.core.exception.KettleStepException` - when an error occurred searching for the fields.

### check

    public void check(List<org.pentaho.di.core.CheckResultInterface> remarks,
                      TransMeta transMeta,
                      StepMeta stepinfo,
                      org.pentaho.di.core.row.RowMetaInterface prev,
                      String[] input,
                      String[] output,
                      org.pentaho.di.core.row.RowMetaInterface info)

  Description copied from interface: `StepMetaInterface`
  Checks the settings of this step and puts the findings in a remarks List.

  Specified by:
    `check` in interface `StepMetaInterface`
  Parameters:
    `remarks` - The list to put the remarks in @see org.pentaho.di.core.CheckResult
    `stepinfo` - The stepMeta to help checking
    `prev` - The fields coming from the previous step
    `input` - The input step names
    `output` - The output step names
    `info` - The fields that are used as information by the step

### getStep

    public StepInterface getStep(StepMeta stepMeta,
                                 StepDataInterface stepDataInterface,
                                 int cnr,
                                 TransMeta tr,
                                 Trans trans)

  Description copied from interface: `StepMetaInterface`
  Get the executing step, needed by Trans to launch a step.

  Specified by:
    `getStep` in interface `StepMetaInterface`
  Parameters:
    `stepMeta` - The step info
    `stepDataInterface` - the step data interface linked to this step. Here the step can store temporary data, database connections, etc.
    `cnr` - The copy nr to get
    `tr` - The transformation info
    `trans` - The launching transformation

### getStepData

    public StepDataInterface getStepData()

  Description copied from interface: `StepMetaInterface`
  Get a new instance of the appropriate data class. This data class implements the StepDataInterface. It basically contains the persisting data that needs to live on, even if a worker thread is terminated.

  Specified by:
    `getStepData` in interface `StepMetaInterface`
  Returns:
    The appropriate StepDataInterface class.

### getDelimiter

    public String getDelimiter()

  Returns:
    the delimiter

### setDelimiter

    public void setDelimiter(String delimiter)

  Parameters:
    `delimiter` - the delimiter to set

### getFilename

    public String getFilename()

  Returns:
    the filename

### setFilename

    public void setFilename(String filename)

  Parameters:
    `filename` - the filename to set

### getBufferSize

    public String getBufferSize()

  Returns:
    the bufferSize

### setBufferSize

    public void setBufferSize(String bufferSize)

  Parameters:
    `bufferSize` - the bufferSize to set

### isLazyConversionActive

    public boolean isLazyConversionActive()

  Returns:
    true if lazy conversion is turned on: conversions are delayed as long as possible, perhaps to never occur at all.

### setLazyConversionActive

    public void setLazyConversionActive(boolean lazyConversionActive)

  Parameters:
    `lazyConversionActive` - true if lazy conversion is to be turned on: conversions are delayed as long as possible, perhaps to never occur at all.

### isHeaderPresent

    public boolean isHeaderPresent()

  Returns:
    the headerPresent

### setHeaderPresent

    public void setHeaderPresent(boolean headerPresent)

  Parameters:
    `headerPresent` - the headerPresent to set

### getEnclosure

    public String getEnclosure()

  Specified by:
    `getEnclosure` in interface `InputFileMetaInterface`
  Returns:
    the enclosure

### setEnclosure

    public void setEnclosure(String enclosure)

  Parameters:
    `enclosure` - the enclosure to set

### getResourceDependencies

    public List<ResourceReference> getResourceDependencies(TransMeta transMeta,
                                                           StepMeta stepInfo)

  Description copied from class: `BaseStepMeta`
  Get a list of all the resource dependencies that the step is depending on.

  Specified by:
    `getResourceDependencies` in interface `StepMetaInterface`
  Overrides:
    `getResourceDependencies` in class `BaseStepMeta`
  Returns:
    a list of all the resource dependencies that the step is depending on

### getInputFields

    public TextFileInputField[] getInputFields()

  Specified by:
    `getInputFields` in interface `InputFileMetaInterface`
  Returns:
    the inputFields

### setInputFields

    public void setInputFields(TextFileInputField[] inputFields)

  Parameters:
    `inputFields` - the inputFields to set

### getFileFormatTypeNr

    public int getFileFormatTypeNr()

  Specified by:
    `getFileFormatTypeNr` in interface `InputFileMetaInterface`

### getFilePaths

    public String[] getFilePaths(org.pentaho.di.core.variables.VariableSpace space)

  Specified by:
    `getFilePaths` in interface `InputFileMetaInterface`

### getNrHeaderLines

    public int getNrHeaderLines()

  Specified by:
    `getNrHeaderLines` in interface `InputFileMetaInterface`

### hasHeader

    public boolean hasHeader()

  Specified by:
    `hasHeader` in interface `InputFileMetaInterface`

### getErrorCountField

    public String getErrorCountField()

  Specified by:
    `getErrorCountField` in interface `InputFileMetaInterface`

### getErrorFieldsField

    public String getErrorFieldsField()

  Specified by:
    `getErrorFieldsField` in interface `InputFileMetaInterface`

### getErrorTextField

    public String getErrorTextField()

  Specified by:
    `getErrorTextField` in interface `InputFileMetaInterface`

### getEscapeCharacter

    public String getEscapeCharacter()

  Specified by:
    `getEscapeCharacter` in interface `InputFileMetaInterface`

### getFileType

    public String getFileType()

  Specified by:
    `getFileType` in interface `InputFileMetaInterface`

### getSeparator

    public String getSeparator()

  Specified by:
    `getSeparator` in interface `InputFileMetaInterface`

### includeFilename

    public boolean includeFilename()

  Specified by:
    `includeFilename` in interface `InputFileMetaInterface`

### includeRowNumber

    public boolean includeRowNumber()

  Specified by:
    `includeRowNumber` in interface `InputFileMetaInterface`

### isErrorIgnored

    public boolean isErrorIgnored()

  Specified by:
    `isErrorIgnored` in interface `InputFileMetaInterface`

### isErrorLineSkipped

    public boolean isErrorLineSkipped()

  Specified by:
    `isErrorLineSkipped` in interface `InputFileMetaInterface`

### getFilenameField

    public String getFilenameField()

  Returns:
    the filenameField

### setFilenameField

    public void setFilenameField(String filenameField)

  Parameters:
    `filenameField` - the filenameField to set

### isIncludingFilename

    public boolean isIncludingFilename()

  Returns:
    the includingFilename

### setIncludingFilename

    public void setIncludingFilename(boolean includingFilename)

  Parameters:
    `includingFilename` - the includingFilename to set

### getRowNumField

    public String getRowNumField()

  Returns:
    the rowNumField

### setRowNumField

    public void setRowNumField(String rowNumField)

  Parameters:
    `rowNumField` - the rowNumField to set

### setAddResultFile

    public void setAddResultFile(boolean isaddresult)

  Parameters:
    `isaddresult` - The isaddresult to set.

### isAddResultFile

    public boolean isAddResultFile()

  Returns:
    Returns isaddresult.

### isRunningInParallel

    public boolean isRunningInParallel()

  Returns:
    the runningInParallel

### setRunningInParallel

    public void setRunningInParallel(boolean runningInParallel)

  Parameters:
    `runningInParallel` - the runningInParallel to set

### getEncoding

    public String getEncoding()

  Returns:
    the encoding

### setEncoding

    public void setEncoding(String encoding)

  Parameters:
    `encoding` - the encoding to set

### exportResources

    public String exportResources(org.pentaho.di.core.variables.VariableSpace space,
                                  Map<String,ResourceDefinition> definitions,
                                  ResourceNamingInterface resourceNamingInterface,
                                  Repository repository)
                           throws org.pentaho.di.core.exception.KettleException

  Since the exported transformation that runs this will reside in a ZIP file, we can't reference files relatively. So what this does is turn the name of files into absolute paths OR it simply includes the resource in the ZIP file. For now, we'll simply turn it into an absolute path and pray that the file is on a shared drive or something like that. TODO: create options to configure this behavior

  Specified by:
    `exportResources` in interface `StepMetaInterface`
  Overrides:
    `exportResources` in class `BaseStepMeta`
  Parameters:
    `space` - the variable space to use
    `repository` - The repository to optionally load other resources from (to be converted to XML)
  Returns:
    the filename of the exported resource
  Throws:
    `org.pentaho.di.core.exception.KettleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD